Subject: Re: bug#58225: 29.0.50; esh-var-test/interp-cmd-external test fails on macOS (10.13.6)
From: Stefan Kangas <[email-masked]>
To: Jim Porter <[email-masked]>
Cc: [email-masked]
Date: Wed, 5 Oct 2022 00:43:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Jim Porter <[email-masked]>:
>
> On 10/1/2022 7:25 AM, Stefan Kangas wrote:
> > Failed test on macOS 10.13.6, see below output from "make check":
> >
> > Test esh-var-test/interp-cmd-external condition:
> >      (ert-test-failed
> >       ((should
> >         (eshell-match-output regexp))
> >        :form
> >        (eshell-match-output "hi\n")
> >        :value nil :explanation
> >        (mismatched-output
> >         (command "echo ${*echo hi}\n")
> >         (output "")
> >         (regexp "hi\n"))))
>
> I don't have access to a macOS system, unfortunately. What happens if
> you run the following commands starting from "emacs -Q -f eshell"?
>
>    echo ${echo hi}
>    echo ${*echo hi}
>    *echo ${echo hi}
>    *echo ${*echo hi}
>
> They should all output "hi", with a newline at the end.

Welcome to the Emacs shell

~/wip/emacs $ echo ${echo hi}
hi
~/wip/emacs $ echo ${*echo hi}
hi
~/wip/emacs $ *echo ${echo hi}
hi
~/wip/emacs $ *echo ${*echo hi}
hi
~/wip/emacs $

And the test seem to be pasing now?  So let's hope that it wasn't
intermittent (I tried 5 times for good measure), and close the bug.
I'll re-open if it happens again.